# Fetch Governance Parameters

## Get Governance Parameters and Configurations&#x20;

This query can be used to fetch Notional's governance parameters per currency:

```
{
  currencyConfigurations {
    underlying {
      symbol
    }
    collateralHaircut
    debtBuffer
    proportions
    depositShares
    residualPurchaseTimeBufferSeconds
    residualPurchaseIncentiveBasisPoints
    fCashMinOracleRate
    fCashMaxOracleRate
    fCashMaxDiscountFactor
    fCashHaircutBasisPoints
    fCashDebtBufferBasisPoints
    fCashReserveFeeSharePercent
    fCashRateOracleTimeWindowSeconds
    fCashLiquidationDebtBufferBasisPoints
    pvHaircutPercentage
    primeDebtAllowed
    leverageThresholds
    rebalancingTargets
    rebalancingCooldown
    liquidationDiscount
    liquidationHaircutPercentage
    maxUnderlyingSupply
    primeCashRateOracleTimeWindowSeconds
    treasuryReserveBuffer
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.notional.finance/v3-technical-docs/subgraph-guides/notional-v3-subgraphs/fetch-governance-parameters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
